Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Config_Handler::XStr Class Reference

`#include <XercesString.h>`

List of all members.

## Public Member Functions
| XStr ()
| XStr (const char *str)
| XStr (XMLCh *wstr)
| XStr (const XMLCh *wstr)
| XStr (const XStr &copy)
XStr & | operator= (const XStr &rhs)
| ~XStr ()
const XMLCh * | begin () const
const XMLCh * | end () const
bool | append (const XMLCh *tail)
bool | erase (const XMLCh *head, const XMLCh *tail)
int | size () const
XMLCh | operator[] (const int i)
const XMLCh | operator[] (const int i) const
| operator const XMLCh * () const
| XStr ()
| XStr (const char *str)
| XStr (XMLCh *wstr)
| XStr (const XMLCh *wstr)
| XStr (const XStr &copy)
XStr & | operator= (const XStr &rhs)
| ~XStr ()
const XMLCh * | begin () const
const XMLCh * | end () const
bool | append (const XMLCh *tail)
bool | erase (const XMLCh *head, const XMLCh *tail)
int | size () const
XMLCh | operator[] (const int i)
const XMLCh | operator[] (const int i) const
| operator const XMLCh * () const
## Private Attributes
XMLCh * | _wstr
XMLCh * | _wstr

## Constructor & Destructor Documentation

Config_Handler::XStr::XStr | ( |  | ) | `[inline]`

Config_Handler::XStr::XStr | ( | const char * | str | ) |

Config_Handler::XStr::XStr | ( | XMLCh * | wstr | ) |

Config_Handler::XStr::XStr | ( | const XMLCh * | wstr | ) |

Config_Handler::XStr::XStr | ( | const XStr & | copy | ) |

Config_Handler::XStr::~XStr | ( |  | ) |

Config_Handler::XStr::XStr | ( |  | ) | `[inline]`

Config_Handler::XStr::XStr | ( | const char * | str | ) |

Config_Handler::XStr::XStr | ( | XMLCh * | wstr | ) |

Config_Handler::XStr::XStr | ( | const XMLCh * | wstr | ) |

Config_Handler::XStr::XStr | ( | const XStr & | copy | ) |

Config_Handler::XStr::~XStr | ( |  | ) |

## Member Function Documentation

bool Config_Handler::XStr::append | ( | const XMLCh * | tail | ) |

bool Config_Handler::XStr::append | ( | const XMLCh * | tail | ) |

const XMLCh* Config_Handler::XStr::begin | ( |  | ) | const

const XMLCh * Config_Handler::XStr::begin | ( |  | ) | const

const XMLCh* Config_Handler::XStr::end | ( |  | ) | const

const XMLCh * Config_Handler::XStr::end | ( |  | ) | const

bool Config_Handler::XStr::erase | ( | const XMLCh * | head,
|  | const XMLCh * | tail
| ) |

bool Config_Handler::XStr::erase | ( | const XMLCh * | head,
|  | const XMLCh * | tail
| ) |

Config_Handler::XStr::operator const XMLCh * | ( |  | ) | const`[inline]`

Config_Handler::XStr::operator const XMLCh * | ( |  | ) | const`[inline]`

XStr& Config_Handler::XStr::operator= | ( | const XStr & | rhs | ) |

XStr & Config_Handler::XStr::operator= | ( | const XStr & | rhs | ) |

const XMLCh Config_Handler::XStr::operator[] | ( | const int | i | ) | const

XMLCh Config_Handler::XStr::operator[] | ( | const int | i | ) |

const XMLCh Config_Handler::XStr::operator[] | ( | const int | i | ) | const

XMLCh Config_Handler::XStr::operator[] | ( | const int | i | ) |

int Config_Handler::XStr::size | ( |  | ) | const

int Config_Handler::XStr::size | ( |  | ) | const

## Member Data Documentation

XMLCh* Config_Handler::XStr::_wstr`[private]`

XMLCh* Config_Handler::XStr::_wstr`[private]`

The documentation for this class was generated from the following files:

- Config_Handlers/XercesString.h
- Old_Config_Handlers/XercesString.h
- Config_Handlers/XercesString.cpp
- Old_Config_Handlers/XercesString.cpp